;;; Package definition file for the Scsh Installation Library
;; Emilio Lopes <eclig@gmx.net>

(define-package "tinyclos"
  (0 1)
  ()
  
  (install-file "COPYING" 'doc)
  (install-file "README" 'doc)
  
  (install-files '("tiny-announce.text"
                   "tiny-rpp.text")
                 'doc "text")

  (install-files '("tiny-examples.scm"
                   "simple-example.scm")
                 'scheme "examples")

  (install-files '("support.scm"
                   "tiny-clos.scm")
                 'scheme)


  (install-file "packages.scm"
                'scheme)

  (write-to-load-script
   `((config)
     (load ,(absolute-file-name "packages.scm"
                                (get-directory 'scheme #f)))
     (user))))
