;;; Package definition file for the Scsh Installation Library
;; Emilio Lopes <eclig@gmx.net>

(define-package "pgscsh"
  (0 3)
  ()

  (install-file "README" 'doc)
  (install-file "COPYING" 'doc)
  (install-file "demo.scm" 'doc)

  (install-files '("pg.scm"
                   "packages.scm")
                 'scheme)

  (write-to-load-script
   `((config)
     (load ,(absolute-file-name "packages.scm"
                                (get-directory 'scheme #f)))
     (user))))
